Get inference secret
curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/secrets/{secret_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v3/inference/{project_id}/secrets/{secret_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/secrets/{secret_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"aws_access_key_id": "fake-key-id",
"aws_secret_access_key": "fake-secret"
},
"name": "aws-dev",
"type": "aws-iam"
}Everywhere Inference
Get inference secret
GET
/
cloud
/
v3
/
inference
/
{project_id}
/
secrets
/
{secret_name}
Get inference secret
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Inference secret name.
Minimum string length:
4Pattern:
^[a-z0-9]([-a-z0-9]*[a-z0-9])?$Example:
"aws-dev"
Response
200 - application/json
OK
Was this page helpful?
⌘I